Many thanks Kelly for your prompt response! I was looking at the tools folder 
and thought the dependencies are all included. But I can see how that would not 
make any sense to do :D

Cheers,
Amir


On Jun 24, 2011, at 1:02 PM, Kelly Vincent wrote:

> Amir,
> 
> Uploading a BAM file in Galaxy requires the Samtools package. You can 
> download it from http://samtools.sourceforge.net/, but if you want more 
> information about installing it (and other NGS tools) in Galaxy, see our wiki 
> page: https://bitbucket.org/galaxy/galaxy-central/wiki/NGSLocalSetup.
> 
> Let us know if you need any further assistance.
> 
> Thanks,
> Kelly
> 
> 
> 
> On Fri Jun 24, at 3:46 PM, Amirhossein Kiani wrote:
> 
>> Hey there,
>> 
>> I'm not an advanced python developer and have an issue setting up my own 
>> galaxy server. I followed the steps on getgalaxy.org and have added 
>> ~./galaxy-pyhon to my path. 
>> 
>> The server comes up and I can see stuff but when I try to import a BAM file 
>> I get the following error in the history:
>> 
>> Traceback (most recent call last):
>>  File "/Users/amir/galaxy-dist/tools/data_source/upload.py", line 382, in 
>> 
>>    __main__()
>>  File "/Users/amir/galaxy-dist/tools/data_source/upload.py", line 374, in 
>> __main__
>>    add_file( dataset, registry, json_file, output_path )
>>  File "/Users/amir/galaxy-dist/tools/data_source/upload.py", line 314, in 
>> add_file
>>    if datatype.dataset_content_needs_grooming( output_path ):
>>  File "/Users/amir/galaxy-dist/lib/galaxy/datatypes/binary.py", line 79, in 
>> dataset_content_needs_grooming
>>    version = self._get_samtools_version()
>>  File "/Users/amir/galaxy-dist/lib/galaxy/datatypes/binary.py", line 63, in 
>> _get_samtools_version
>>    output = subprocess.Popen( [ 'samtools' ], stderr=subprocess.PIPE, 
>> stdout=subprocess.PIPE ).communicate()[1]
>>  File 
>> "/System/Library/Frameworks/Python.framework/Versions/2.5/lib/python2.5/subprocess.py",
>>  line 594, in __init__
>>    errread, errwrite)
>>  File 
>> "/System/Library/Frameworks/Python.framework/Versions/2.5/lib/python2.5/subprocess.py",
>>  line 1097, in _execute_child
>>    raise child_exception
>> OSError: [Errno 2] No such file or directory
>> 
>> I tried it on my RedHat server as well and get the same error:
>> 
>> Traceback (most recent call last):
>>  File "/home/amir/galaxy-python/galaxy-dist/tools/data_source/upload.py", 
>> line 382, in 
>> 
>>    __main__()
>>  File "/home/amir/galaxy-python/galaxy-dist/tools/data_source/upload.py", 
>> line 374, in __main__
>>    add_file( dataset, registry, json_file, output_path )
>>  File "/home/amir/galaxy-python/galaxy-dist/tools/data_source/upload.py", 
>> line 314, in add_file
>>    if datatype.dataset_content_needs_grooming( output_path ):
>>  File "/home/amir/galaxy-python/galaxy-dist/lib/galaxy/datatypes/binary.py", 
>> line 79, in dataset_content_needs_grooming
>>    version = self._get_samtools_version()
>>  File "/home/amir/galaxy-python/galaxy-dist/lib/galaxy/datatypes/binary.py", 
>> line 63, in _get_samtools_version
>>    output = subprocess.Popen( [ 'samtools' ], stderr=subprocess.PIPE, 
>> stdout=subprocess.PIPE ).communicate()[1]
>>  File "/usr/lib64/python2.6/subprocess.py", line 633, in __init__
>>    errread, errwrite)
>>  File "/usr/lib64/python2.6/subprocess.py", line 1139, in _execute_child
>>    raise child_exception
>> OSError: [Errno 2] No such file or directory
>> 
>> It's worth mentioning that I was able to import a FASTA file.
>> 
>> I also checked the server logs and I see:
>> 
>> galaxy.tools DEBUG 2011-06-24 12:21:34,430 Loaded tool: t_test_two_samples 
>> 1.0.0
>> galaxy.tools DEBUG 2011-06-24 12:21:37,993 Loaded tool: sam_indel_filter 
>> 1.0.0
>> galaxy.tools DEBUG 2011-06-24 12:21:38,015 Loaded tool: indel_sam2interval 
>> 1.0.0
>> galaxy.tools DEBUG 2011-06-24 12:21:38,287 Loaded tool: sam_bw_filter 1.0.0
>> galaxy.tools DEBUG 2011-06-24 12:21:38,304 Loaded tool: sam2interval 1.0.1
>> galaxy.tools DEBUG 2011-06-24 12:21:38,319 Loaded tool: sam_to_bam 1.1.2
>> galaxy.tools DEBUG 2011-06-24 12:21:38,331 Loaded tool: bam_to_sam 1.0.3
>> galaxy.tools DEBUG 2011-06-24 12:21:38,343 Loaded tool: sam_merge 1.1.1
>> galaxy.tools DEBUG 2011-06-24 12:21:38,371 Loaded tool: sam_pileup 1.1.1
>> galaxy.tools DEBUG 2011-06-24 12:21:38,497 Loaded tool: samtools_flagstat 
>> 1.0.0
>> 
>> 
>> So I'm not sure what the issue is...
>> 
>> Many thanks in advance for your help!
>> Amir
>> ___________________________________________________________
>> Please keep all replies on the list by using "reply all"
>> in your mail client.  To manage your subscriptions to this
>> and other Galaxy lists, please use the interface at:
>> 
>>  http://lists.bx.psu.edu/
> 

___________________________________________________________
Please keep all replies on the list by using "reply all"
in your mail client.  To manage your subscriptions to this
and other Galaxy lists, please use the interface at:

  http://lists.bx.psu.edu/

Reply via email to